export default function({ comp }) {
  const iconStyle = {
    filter: "var(--filter-fg)",
  };

  return (
    <footer className="page-footer">
      {comp.separator()}
      <div className="social-links">
        <a href="https://code.fosterhangdaan.com/foster" title="Forgejo" target="_blank">
          <img
            src="https://static.fosterhangdaan.com/icons/simple-icons/latest/forgejo.svg"
            className="icon"
            style={iconStyle}
            alt="forgejo"
          />
        </a>
        <a href="https://mastodon.online/@foster" title="Mastodon" target="_blank">
          <img
            src="https://static.fosterhangdaan.com/icons/simple-icons/latest/mastodon.svg"
            className="icon"
            style={iconStyle}
            alt="mastodon"
          />
        </a>
        <a href="mailto:foster@hangdaan.email" title="eMail">
          <img
            src="https://static.fosterhangdaan.com/icons/tabler-icons/latest/svg/mail-filled.svg"
            className="icon"
            style={iconStyle}
            alt="e-mail"
          />
        </a>
        <a href="https://www.fosterhangdaan.com/blog/feed.rss" title="RSS Feed">
          <img
            src="https://static.fosterhangdaan.com/icons/tabler-icons/latest/svg/rss.svg"
            className="icon"
            style={iconStyle}
            alt="rss"
          />
        </a>
      </div>
      <p>Copyright &copy; 2023 Foster Hangdaan</p>
      <p>Made with <a href="https://lume.land/" target="_blank">Lume</a>, <a href="https://www.typescriptlang.org/" target="_blank">TypeScript</a> and lots of <img src="https://static.fosterhangdaan.com/icons/tabler-icons/latest/svg/heart.svg" className="icon" style={{ filter: "var(--filter-red)" }} title="love" alt="love"/>.</p>
    </footer>
  );
}
